* {
  box-sizing: border-box;
  padding: 0;
  font-family: var(--font-nunito);
  margin: 0;
  color: #fff;
  @media screen and (max-width: 1024px) {
    user-select: none;
  }
}

html,
body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  overflow-y: auto;
  padding: 0;
  margin: 0;
  background: var(--main-background);
  &.ReactModal__Body--open {
    overflow: hidden !important;
  }
}

html {
  @media screen and (max-width: 540px) {
    width: auto;
    height: auto;
  }
}
@media (prefers-color-scheme: dark) {
  html {
    color-scheme: dark;
  }
}

*,
*:before,
*:after {
  box-sizing: border-box;
}
*::-webkit-media-controls-panel {
  display: none !important;
  -webkit-appearance: none;
}
*::-webkit-scrollbar {
  width: 0px;
  background-color: #fff;
}
*::-webkit-scrollbar-thumb {
  background-color: #0076a5;
  border-radius: 2px;
}
*::-webkit-media-controls-play-button {
  display: none !important;
  -webkit-appearance: none;
}

*::-webkit-media-controls-start-playback-button {
  display: none !important;
  -webkit-appearance: none;
}
* {
  -webkit-tap-highlight-color: transparent;
}
input[type='number']::-webkit-outer-spin-button,
input[type='number']::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type='number'] {
  -moz-appearance: textfield;
}
input[type='number']:hover,
input[type='number']:focus {
  -moz-appearance: number-input;
}

li {
  list-style: none;
}

button {
  background-color: transparent;
  cursor: pointer;
  border: none;
  padding: 0;
  margin: 0;
  font-family: var(--font-nunito);
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 22px;
  color: #fff;
  user-select: none;
}
button:focus {
  outline: none;
}
a {
  text-decoration: none;
  cursor: pointer;
  outline: none;
  font-family: var(--font-nunito);
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  white-space: nowrap;
  line-height: 22px;
  color: rgba(255, 255, 255, 1);
  @media screen and (min-width: 1025px) {
    transition: all 0.4s linear;
    &:hover {
      color: var(--gold);
    }
  }
}

span,
b,
div {
  font-family: var(--font-nunito);
  font-style: normal;
}

h1,
h2,
h3,
h4,
h5 {
  margin: 0;
  font-family: var(--font-nunito);
  font-weight: normal;
  font-style: normal;
}
p {
  margin: 0;
  font-family: var(--font-nunito);
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 22px;
  color: #ffffff;
}

img {
  pointer-events: none;
  outline: none;
  border: none;
}

.ReactModal__Overlay {
  background: transparent !important;
  // backdrop-filter: blur(5px);
  z-index: 9999;
  width: 100vw;
  height: 100%;
  overflow: hidden;
  // overflow-x: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.ReactModal__Content {
  width: 100% !important;
  height: 100% !important;
  padding: 0 !important;
  position: static !important;
  background: none !important;
  border: none !important;
  overflow: visible !important;
  margin: auto;
  max-width: 100vw;
  & > div {
    & > div {
      zoom: 0.9;
    }
  }
}

.notistack-SnackbarContainer {
  z-index: 100000 !important;
}

ul {
  padding: 0;
  margin: 0;
}

li {
  padding: 0;
  margin: 0;
}
